<?php

namespace Lc\SovBundle\Definition;

use Lc\SovBundle\Container\File\FileContainer;
use Lc\SovBundle\Container\Newsletter\NewsletterContainer;
use Lc\SovBundle\Container\Reminder\ReminderContainer;
use Lc\SovBundle\Container\Setting\SiteSettingContainer;
use Lc\SovBundle\Container\Site\NewsContainer;
use Lc\SovBundle\Container\Site\PageContainer;
use Lc\SovBundle\Container\Site\SiteContainer;
use Lc\SovBundle\Container\Ticket\TicketContainer;
use Lc\SovBundle\Container\Ticket\TicketMessageContainer;
use Lc\SovBundle\Container\User\GroupUserContainer;
use Lc\SovBundle\Container\User\UserContainer;

class ApplicationDefinition
{

    public static function getContainerList(): array
    {
        return [
                FileContainer::class,
                NewsletterContainer::class,
                ReminderContainer::class,
                NewsContainer::class,
                PageContainer::class,
                SiteContainer::class,
                TicketContainer::class,
                TicketMessageContainer::class,
                GroupUserContainer::class,
                UserContainer::class,
                SiteSettingContainer::class
        ];
    }

    public static function getSubscribedContainerServices(): array
    {

        $array = [];

        foreach (self::getContainerList() as $container) {
            $array[$container] = $container;
        }

        return $array;
    }


}
